| The Gaudi Framework v32r1 (f65d50dc)

Macros | Functions
IoComponentMgr.cpp File Reference
`#include "IoComponentMgr.h"`
`#include "GaudiKernel/FileIncident.h"`
`#include "GaudiKernel/IFileMgr.h"`
`#include "GaudiKernel/IIncidentSvc.h"`
`#include "GaudiKernel/Property.h"`
`#include "GaudiKernel/ServiceHandle.h"`
`#include <boost/algorithm/string/predicate.hpp>`
`#include <boost/filesystem.hpp>`
`#include <algorithm>`
`#include <array>`
Include dependency graph for IoComponentMgr.cpp:

Go to the source code of this file.

## Macros
#define | ON_DEBUG if ( UNLIKELY( outputLevel() <= MSG::DEBUG ) )
#define | ON_VERBOSE if ( UNLIKELY( outputLevel() <= MSG::VERBOSE ) )
#define | DEBMSG ON_DEBUG debug()
#define | VERMSG ON_VERBOSE verbose()

## Functions
std::ostream & | operator<< (std::ostream &os, const IIoComponentMgr::IoMode::Type &m)

## Macro Definition Documentation

## ◆ DEBMSG

#define DEBMSG ON_DEBUG debug()

Definition at line 25 of file IoComponentMgr.cpp.

## ◆ ON_DEBUG

#define ON_DEBUG if ( UNLIKELY( outputLevel() <= MSG::DEBUG ) )

Definition at line 22 of file IoComponentMgr.cpp.

## ◆ ON_VERBOSE

#define ON_VERBOSE if ( UNLIKELY( outputLevel() <= MSG::VERBOSE ) )

Definition at line 23 of file IoComponentMgr.cpp.

## ◆ VERMSG

#define VERMSG ON_VERBOSE verbose()

Definition at line 26 of file IoComponentMgr.cpp.

## Function Documentation

## ◆ operator<<()

std::ostream& operator<< | ( | std::ostream & | os,
|  | const IIoComponentMgr::IoMode::Type & | m
| ) |  |

Definition at line 32 of file IoComponentMgr.cpp.

32 {
33 switch ( m ) {
34 case IIoComponentMgr::IoMode::READ:
35 os << "READ";
36 break;
37 case IIoComponentMgr::IoMode::WRITE:
38 os << "WRITE";
39 break;
40 case IIoComponentMgr::IoMode::RW:
41 os << "RW";
42 break;
43 default:
44 os << "INVALID";
45 break;
46 }
47
48 return os;
49 }
IIoComponentMgr::IoMode::RW
Definition: IIoComponentMgr.h:31
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:92
IIoComponentMgr::IoMode::WRITE
Definition: IIoComponentMgr.h:31
IIoComponentMgr::IoMode::READ
Definition: IIoComponentMgr.h:31